extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "knights:ikaris_layer1",
    "layer2": "knights:ikaris_layer2",
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
 var color = 0xDDAC17;
var beam = renderer.createResource("BEAM_RENDERER", "fiskheroes:mysterio_beam");
utils.bindTrail(renderer, "knights:blur");
utils.bindBeam(renderer, "fiskheroes:charged_beam", beam, "head", 0xDDAC17, [
    { "firstPerson": [2.2, 0.0, 2.0], "offset": [2.2, -4, -4.0], "size": [1.5, 0.5] },
    { "firstPerson": [-2.2, 0.0, 2.0], "offset": [-2.2, -4, -4.0], "size": [1.5, 0.5] }
]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_charged_beam"));
}
function initAnimations(renderer) {
 parent.initAnimations(renderer);
 utils.addFlightAnimation(renderer, "mmcw.FLIGHT", "fiskheroes:flight/default_arms_forward.anim.json");
 utils.addHoverAnimation(renderer, "mmcw.HOVER", "fiskheroes:flight/idle/neutral");
}